%define debug_package %{nil}
%define qtdir   %{_builddir}/%{name}-qt-%{version}

Name:           doublecmd
Version:        0.6.6
Release:        %mkrel 1
Summary:        Twin-panel (commander-style) file manager
Group:          File tools
License:        GPLv2+
Url:            http://doublecmd.sourceforge.net
Source0:        http://downloads.sf.net/doublecmd/%{name}-%{version}-src.tar.gz
Patch0:         doublecmd-0.6.0-mga-deb-hide-build-info.patch
Patch1:         doublecmd-0.6.4-mga-toolkit-specific-changes.patch

BuildRequires:  fpc
BuildRequires:  fpc-src
BuildRequires:  lazarus
BuildRequires:  bzip2-devel
BuildRequires:  qt4pas-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(dbus-1)

%description
Double Commander is a cross platform open source file manager with two panels
side by side. It is inspired by Total Commander and features some new ideas.

#----------------------------------------------------------------------------

%package        gtk
Summary:        Twin-panel (commander-style) file manager (GTK+2)
Group:          File tools
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description    gtk
Double Commander is a cross platform open source file manager with two panels
side by side. It is inspired by Total Commander and features some new ideas.

This is the GTK+2 version of Double Commander. See the %{name}-qt package for
the Qt4 version.

%files          gtk
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_libdir}/%{name}/%{name}-gtk
%{_libdir}/%{name}/%{name}-gtk.xml
%{_libdir}/%{name}/%{name}-gtk.zdli
%{_libdir}/%{name}/plugins/wlx/wlxmplayer/wlxmplayer-gtk.wlx

#----------------------------------------------------------------------------
%package        qt
Summary:        Twin-panel (commander-style) file manager (Qt4)
Group:          File tools
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description    qt
Double Commander is a cross platform open source file manager with two panels
side by side. It is inspired by Total Commander and features some new ideas.

This is the Qt4 version of Double Commander. See the %{name}-gtk package for
the GTK+2 version.

%files          qt
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_libdir}/%{name}/%{name}-qt
%{_libdir}/%{name}/%{name}-qt.xml
%{_libdir}/%{name}/%{name}-qt.zdli
%{_libdir}/%{name}/plugins/wlx/wlxmplayer/wlxmplayer-qt.wlx

#----------------------------------------------------------------------------

%package        common
Summary:        Shared data for the Qt4 and GTK+2 versions of Double Commander
Group:          File tools
Recommends:     unrar

%description    common
Double Commander is a cross platform open source file manager with two panels
side by side. It is inspired by Total Commander and features some new ideas.

This package contains the shared data for the Qt4 and GTK+2 versions of
Double Commander.

%files          common
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
%exclude %{_libdir}/%{name}/%{name}-gtk*
%exclude %{_libdir}/%{name}/%{name}-qt*
%exclude %{_libdir}/%{name}/plugins/wlx/wlxmplayer/*

#----------------------------------------------------------------------------

%prep
%setup -q
# Important so that Patch1 can apply
sed -i -e 's/\r/\n/g' src/uGlobsPaths.pas
%autopatch -p1

# Remove convenience copy of Free Pascal Qt4 binding, use qt4pas instead
rm -f plugins/wlx/WlxMplayer/src/qt4.pas

rm -rf %{qtdir}
mkdir -p %{qtdir}
cp -a * %{qtdir}

# GTK+ specific changes
sed -i -e 's/@TOOLKITSUFFIX@/gtk/g' install/linux/doublecmd.desktop \
                                    install/linux/doublecmd.xml \
                                    install/linux/install.sh \
                                    src/frames/foptionsconfiguration.pas \
                                    src/platform/udefaultplugins.pas \
                                    src/uglobs.pas \
                                    src/uGlobsPaths.pas
sed -i -e 's/@TOOLKITNAME@/GTK+2/g' install/linux/doublecmd.desktop

# Qt specific changes
pushd %{qtdir}
sed -i -e 's/@TOOLKITSUFFIX@/qt/g'  install/linux/doublecmd.desktop \
                                    install/linux/doublecmd.xml \
                                    install/linux/install.sh \
                                    src/frames/foptionsconfiguration.pas \
                                    src/platform/udefaultplugins.pas \
                                    src/uglobs.pas \
                                    src/uGlobsPaths.pas
sed -i -e 's/@TOOLKITNAME@/Qt4/g'   install/linux/doublecmd.desktop
popd


%build  
# Set temporary HOME for lazarus primary config directory
export HOME=$(pwd)/tmphome
./build.sh beta gtk2

pushd %{qtdir}
export HOME=$(pwd)/tmphome
./build.sh beta qt
popd


%install
./install/linux/install.sh --install-prefix=%{buildroot}

pushd %{qtdir}
install -m755 doublecmd      %{buildroot}%{_libdir}/%{name}/%{name}-qt
install -m644 doublecmd.zdli %{buildroot}%{_libdir}/%{name}/%{name}-qt.zdli
install -m644 install/linux/doublecmd.xml \
                             %{buildroot}%{_libdir}/%{name}/%{name}-qt.xml
install -m644 install/linux/doublecmd.desktop \
                             %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
ln -sf %{_libdir}/%{name}/%{name}-qt %{buildroot}%{_bindir}/%{name}-qt
install -D -m644 plugins/wlx/WlxMplayer/lib/wlxmplayer.wlx \
                             %{buildroot}%{_libdir}/%{name}/plugins/wlx/wlxmplayer/wlxmplayer-qt.wlx
popd


%changelog
* Sun Dec 13 2015 akien <akien> 0.6.6-1.mga6
+ Revision: 910087
- Version 0.6.6

* Mon Sep 21 2015 akien <akien> 0.6.5-1.mga6
+ Revision: 882126
- Version 0.6.5

* Wed Sep 09 2015 neoclust <neoclust> 0.6.4-2.mga6
+ Revision: 875014
- Fix build with new rpm ( empty debuginfo)

* Wed Jul 29 2015 akien <akien> 0.6.4-1.mga6
+ Revision: 858980
- Rediff and improve toolkit patch, fixing path to wlxMplayer plugin
- Version 0.6.4

* Tue Feb 24 2015 akien <akien> 0.6.0-2.mga5
+ Revision: 816770
- Rebuild for new qt4pas-devel
- Adapt BR to new qt4pas splitting, no rebuild needed

* Sat Feb 14 2015 akien <akien> 0.6.0-1.mga5
+ Revision: 814938
- Version 0.6.0

* Wed Oct 29 2014 akien <akien> 0.5.11-2.mga5
+ Revision: 794580
- Rebuild for BS issue
- Version 0.5.11
- WlxMplayer now also built in the Qt frontend

* Wed Oct 15 2014 umeabot <umeabot> 0.5.10-4.mga5
+ Revision: 743875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.10-3.mga5
+ Revision: 678818
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 akien <akien> 0.5.10-2.mga5
+ Revision: 669478
- Add requires on doublecmd-common and provides for doublecmd to the -qt and -gtk packages

* Sat Aug 30 2014 akien <akien> 0.5.10-1.mga5
+ Revision: 669472
- imported package doublecmd

